### Method

# GIRepository StructInfo is_gtype_struct

since: 2.80

#### Declaration [src]

    gboolean
    gi_struct_info_is_gtype_struct (
      GIStructInfo* info
    )

#### Description [src]

Return true if this structure represents the ‘class structure’ for some `GObject` or `GInterface`.

This function is mainly useful to hide this kind of structure from generated public APIs.

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if this is a class struct, `FALSE` otherwise.